---
updatedAt: 2026-09-29T10:36:59.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Remove transaction tags

# Overview

Use this method to remove [custom tags](https://cockpit.sumsub.com/checkus#/kyt/settings/tags) from a particular transaction.

<Callout icon="📘" theme="info">
  ### Notes

  - Tag names are case sensitive. For example, `Suspicious` and `suspicious` are considered different.
  - By removing tags from transactions, you do not remove them from the [Dashboard settings](https://cockpit.sumsub.com/checkus/#/kyt/settings/tags).
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Manage TM transactions - Review** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## Request example

```curl
curl -X DELETE \
     'https://api.sumsub.com/resources/kyt/txns/66c46d7566f5244e45a00000/tags' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '[
           "Anomaly med",
           "Suspicious pattern"
         ]'
```

# Response explained

If the request is sent and processed correctly, you may receive one of the following responses:

* When the transaction still holds tags, you will get the JSON file containing an array of objects representing the remaining tags. For example:

```json
[
  {
    "label": "Bonus abuse",
    "type": "userDefined"
  },
  {
    "label": "Suspicious pattern",
    "type": "userDefined"
  }
]
```

* When all tags are removed, the response will return no content.

```json
No Content
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.

For example:

```json
{
  "description": "The request body must not be null",
  "code": 400,
  "correlationId": "9fb77d5080ca4efd4ab19624e50a1baf"
}
```

> No error is returned in cases where you specify non-existing tags in your request.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/kyt/txns/{id}/tags": {
      "delete": {
        "summary": "Remove transaction tags",
        "description": "",
        "operationId": "remove-txn-tags",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique transaction identifier in the Sumsub system. <br><br>This ID is returned in the [response](https://docs.sumsub.com/reference/get-transaction#root-variables) to this request and a webhook (`kytTxnId`). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the [following method](https://docs.sumsub.com/sumsub/reference/get-transaction-information-by-txnid).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "array",
                    "description": "Tags to remove (one tag per string). Mind that tag names are case sensitive.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```